index_cat_info Struct Reference

Structure to pass info to index_cat_helper() More...

## Data Fields

lzma_vli | uncompressed_size
| Uncompressed size of the destination. More...
lzma_vli | file_size
| Compressed file size of the destination. More...
lzma_vli | block_number_add
| Same as above but for Block numbers. More...
uint32_t | stream_number_add
index_tree * | streams
| Destination index' Stream tree. More...

## Detailed Description

Structure to pass info to index_cat_helper()

## Field Documentation

## uncompressed_size

lzma_vli index_cat_info::uncompressed_size

Uncompressed size of the destination.

Referenced by index_cat_helper().

## file_size

lzma_vli index_cat_info::file_size

Compressed file size of the destination.

Referenced by index_cat_helper().

## block_number_add

lzma_vli index_cat_info::block_number_add

Same as above but for Block numbers.

Referenced by index_cat_helper().

## stream_number_add

uint32_t index_cat_info::stream_number_add

Number of Streams that were in the destination index before we started appending new Streams from the source index. This is used to fix the Stream numbering.

Referenced by index_cat_helper().

## streams

index_tree* index_cat_info::streams

Destination index' Stream tree.

Referenced by index_cat_helper().

The documentation for this struct was generated from the following file:

- liblzma/common/index.c